     % -------------------------------------------------------------------------
    % changeSeg : in frame0, this variable is simply initialized to TRUE

    variable: changeSeg {
	type: discrete hidden cardinality BINARY_CARD;
	switchingparents: nil;
	conditionalparents: nil using DeterministicCPT("setBinaryTRUE");
    }

    % -------------------------------------------------------------------------
    % seg : this variable indicates what seg we are currently in ... 
    % in frame0, the seg will be chosen based on the probability of
    % _starting_ in a particular seg

    variable: seg {
	type: discrete hidden cardinality SEG_CARD;
	switchingparents: nil;
	conditionalparents: nil using DenseCPT("startSeg_CPT");
    }

    % -------------------------------------------------------------------------
    % segCountDown : this variable is used to count *down* the duration
    % (aka length) of a particular seg ... so the parents are :
    %	- from current  frame : changeSeg (as a switching parent)
    %		if changeSeg=FALSE, return a bad-value (since it should
    %			be impossible to get to this point)
    %		if changeSeg=TRUE,  choose duration based on seg

    variable: segCountDown {
	type: discrete hidden cardinality MAX_SEG_LENGTH_CARD;
        switchingparents: nil;
	conditionalparents: 
             seg(0) using DeterministicCPT("assignCount");
    }

    % -------------------------------------------------------------------------
