#!/usr/bin/env bash

# Notice this has to be a genomedata archive (i.e. data stored in hdf5 format).
# Please refer to relative help of SegWay.
dataDir=DIRECTORY WHERE YOU PUT THE DNASEI DATA

mdDir=DIRECTORY OF THE DBN model

srcDir=DIRECTORY WHERE YOU PUT RUN_SEGWAY_INT.PY

resDir=DIRECTORY WHERE YOU PUT RESULTS


cd $resDir


## -b output dir for segment bed file
## -d output dir for other files 
## -i specify input.master file (part of the DBN model)
## -s specify .str file (part of the DBN model)
$srcDir/run_segway_int.py  -N 3  --no-posterior  -b $resDir/bed/segment.bed.gz  -d $resDir/misc  -i $mdDir/model_train.master.EM  -s $mdDir/model_train.str  --dont-train=$mdDir/dont_train.list  $dataDir
